summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-05-19 06:37:46 +0200
committerHans de Graaff <graaff@gentoo.org>2017-05-19 06:37:46 +0200
commitf40e38e02045fdebb14b2d3b4bc97473d47d760c (patch)
tree3fbca715b02891bf39709517faf04f0a43e2052d /dev-ruby/itextomml
parentdev-ruby/http-form_data: add 1.0.3 (diff)
downloadgentoo-f40e38e02045fdebb14b2d3b4bc97473d47d760c.tar.gz
gentoo-f40e38e02045fdebb14b2d3b4bc97473d47d760c.tar.bz2
gentoo-f40e38e02045fdebb14b2d3b4bc97473d47d760c.zip
dev-ruby/itextomml: add 1.5.6
Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'dev-ruby/itextomml')
-rw-r--r--dev-ruby/itextomml/Manifest1
-rw-r--r--dev-ruby/itextomml/itextomml-1.5.6.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/itextomml/Manifest b/dev-ruby/itextomml/Manifest
index 6642a28a8ce..1ed24163ac3 100644
--- a/dev-ruby/itextomml/Manifest
+++ b/dev-ruby/itextomml/Manifest
@@ -1,2 +1,3 @@
DIST itextomml-1.5.4.gem 124416 SHA256 3e70aa736d95751080f595be1458f82cd26945880e9b00d9abd163b2f60aa52a SHA512 18ee01adfbe128850d7bd41715a98221c425c2380ae9fe95fc8b5fe52c123e872514fc49a7b975eab1f32874b85f7e2861c8b22a9e829542eb6e4e1b97c3bc5a WHIRLPOOL 8fc3ae97a02f974de1d672056a064c23c0a77845883b8e3b50d196e35c28d64f2b6dcbf7cd3329c1d016d1c242972cc8b22490b90a7db71012dad010d702fee3
DIST itextomml-1.5.5.gem 124416 SHA256 3449404701e505900059da5d756db26fbc2e7c1aea5358380ddd532e14a304bb SHA512 825c4f0e48e56980d23ea7ea485c50398e34b309de29ac8da218517b9d2e8a47e7dc39df8b400bb39b6828a9ac5d4e71a951554363725af20fdd460adae77e7f WHIRLPOOL 2171f2b1e81bef7284be30c26bc2086a61708d6ce6ef88aba40aa3567e671a3e7257ca58c650b879eb426eafe4a2ae38c0725d33572b37da2fd5437ae84f222c
+DIST itextomml-1.5.6.gem 125440 SHA256 3a2b095ee241207ece42025017cd7a932943b64f545aee19adfef0a6dde55d61 SHA512 b74f5a9ca4eb669fee547bdf729e456dfe07b8be4e9ac0d1b7c3ad5d4e99371ae7b5bde565e6472ab07bbcec2754d4ee628ba07a6a7e938ea8a55a6023c2f1fd WHIRLPOOL 28aa1005b8cd7427626ea7d4f3bd82cff60fbafdf38b28c5bce75f1e93f1aae41d590f01283f7211baad1a588ce4a4a5f34e6f4528caf357a68ee83567a60109
diff --git a/dev-ruby/itextomml/itextomml-1.5.6.ebuild b/dev-ruby/itextomml/itextomml-1.5.6.ebuild
new file mode 100644
index 00000000000..f41cd7d253a
--- /dev/null
+++ b/dev-ruby/itextomml/itextomml-1.5.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Native Ruby bindings to itex2MML, which converts itex equations to MathML"
+HOMEPAGE="https://golem.ph.utexas.edu/~distler/blog/itex2MML.html"
+
+LICENSE="|| ( GPL-2+ MPL-1.1 LGPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+#Tests don't fail here
+RESTRICT="test"
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext
+ cp ext/itex2MML$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/test_itextomml.rb || die
+}